Import Batch Transfers
Import Batch Transfers
The Import Batch Transfers service is used to create one batch in a single request, which may contain multiple transfer orders.
Only one batch can be imported in one request.
A maximum of 1000 transfer orders can be sent in a batch.
For a batch transfer, the common debit account is sent at the top level of the request in the debitAccount field, while individual transfers are sent in the transferOrders array.
Endpoint
POST /bab/v1/transfers/batch
Request Parameters
| Field | Type | Required | Description |
|---|---|---|---|
| batchName | string | ❌ | Batch name |
| debitAccount | object / AccountIdentification | ✅ | Common debit account |
| transferOrders | array / TransferOrder | ✅ | List of transfers included in the batch The array must not be empty |
| batchTransferExternalId | string / integer | ❌ | External transfer ID assigned by the client system |
| validateReceiverIdentifier | string | ❌ | Receiver identifier validation parameter |
TransferOrder object
| Field | Type | Required | Description |
|---|---|---|---|
| transferType | string | ✅ | Transfer type |
| documentNumber | integer | ❌ | Document number |
| position | integer | ❌ | Order position in the batch |
| amount | object / Money | ✅ | Amount and currency |
| description | string | Depends on type | Transfer purpose |
| additionalDescription | string | ❌ | Additional description |
| creditAccount | object / AccountIdentification | Depends on type | Beneficiary account |
| beneficiaryName | string | Depends on type | Beneficiary name |
| beneficiaryTaxCode | string | ❌ | Beneficiary identification / tax code |
| beneficiaryBankCode | string | Depends on type | Beneficiary bank code |
| beneficiaryBankName | string | ❌ | Beneficiary bank name |
| beneficiaryAddress | string | Depends on type | Beneficiary address for a foreign currency transfer to another bank |
| chargeDetails | string | Depends on type | Charge details for a foreign currency transfer to another bank |
| taxpayerCode | string | Depends on type | Taxpayer code for a treasury transfer |
| taxpayerName | string | Depends on type | Taxpayer name for a treasury transfer |
| treasuryCode | string | Depends on type | Treasury code |
AccountIdentification object
| Field | Type | Required | Description |
|---|---|---|---|
| accountNumber | string | ✅ | Account number / IBAN |
| accountCurrencyCode | string | ✅ | Account currency ISO code |
Money object
| Field | Type | Required | Description |
|---|---|---|---|
| amount | number | ✅ | Amount. Must be greater than 0 |
| currency | string | ✅ | Currency ISO code |
Transfer Types
| TransferType | Description |
|---|---|
| TransferToOwnAccount | Transfer between own accounts |
| TransferWithinBank | Transfer to another account within TBC Bank |
| TransferToOtherBankNationalCurrency | Transfer to another bank in national currency |
| TransferToOtherBankForeignCurrency | Transfer to another bank in foreign currency |
| TreasuryTransfer | Treasury transfer |
| TreasuryTransfer instead of 3rd person | Treasury transfer on behalf of a third person |
Response Parameters
| Field | Type | Description |
|---|---|---|
| batchTransferId | integer | Internal ID of the batch transfer created in the bank's system |
Rules
| Rule | Description |
|---|---|
| debitAccount is required | The common debit account of the batch must be filled |
| transferOrders is required | The array must be filled and must not be empty |
| Maximum 1000 orders | A maximum of 1000 transfer orders can be sent in one batch |
| position logic | If position is provided for one order, it must be provided for all orders |
| Account format | Debit / Credit account numbers must be in the appropriate format |
| Currency format | accountCurrencyCode must be in the appropriate ISO format |
| business rule validation | Fields and currency restrictions are validated according to the relevant rules based on transfer type |
Request / Response Examples
{
“batchTrasnferExternalId”: “123456”,
"batchName": "Test Batch",
"debitAccount": {
"accountNumber": "GE61TB7625533660958000",
"accountCurrencyCode": "GEL"
},
"transferOrders": [
{
"transferType": "TransferWithinBank",
"documentNumber": 1,
"position": 1,
"amount": {
"amount": 1,
"currency": "GEL"
},
"description": "transfer within bank",
"additionalDescription": "string",
"beneficiaryName": "Test Beneficiary 1",
"creditAccount": {
"accountNumber": "GE44TB0600051509630000",
"accountCurrencyCode": "GEL"
}
},
{
"transferType": "TransferToOwnAccount",
"documentNumber": 2,
"position": 2,
"amount": {
"amount": 2,
"currency": "GEL"
},
"description": "transfer to own account",
"additionalDescription": "string",
"creditAccount": {
"accountNumber": "GE41TB7849963286076000",
"accountCurrencyCode": "GEL"
}
},
{
"transferType": "TransferToOtherBankNationalCurrency",
"documentNumber": 3,
"position": 3,
"amount": {
"amount": 30,
"currency": "GEL"
},
"description": "transfer to other bank",
"additionalDescription": "string",
"beneficiaryName": "Other Bank Beneficiary",
"beneficiaryTaxCode": "123456789",
"beneficiaryBankCode": "TB",
"beneficiaryBankName": "TBC Bank",
"creditAccount": {
"accountNumber": "GE90BG0000000589021000",
"accountCurrencyCode": "GEL"
}
}
]
}{
"batchTransferId": 184729
}Updated 29 days ago
Did this page help you?
